Subject: Re: [bitcoin-dev] Surprisingly, Tail Emission Is Not Inflationary

From: alicexbt <[email-masked]>
Date: Sun, 10 Jul 2022 16:38:11 +0000

Sorry, I made some wrong calculations in the last email. I think the change would just be required in validation.cpp:

https://github.com/bitcoin/bitcoin/blob/a7f3479ba3fda4c9fb29bd7080165744c02ee921/src/validation.cpp#L1472

/dev/fd0

Sent with Proton Mail secure email.

------- Original Message -------
On Sunday, July 10th, 2022 at 2:17 PM, alicexbt via bitcoin-dev <[email-masked]> wrote:

> Hi ZmnSCPxj,
>
> > Thus, we should instead prepare for a future where the block subsidy must be removed, possibly before the existing schedule removes it, in case a majority coalition of miner ever decides to censor particular transactions without community consensus.
> > Fortunately forcing the block subsidy to 0 is a softfork and thus easier to deploy.
>
>
> `consensus.nSubsidyHalvingInterval` for mainnet in [chainparams.cpp][1] can be decreased to 195000. This will reduce the number of halvings from 34 to 14 and subsidy will be 0 when it becomes less than 0.01 although not sure if this will be a soft fork.
>
> I doubt there will be consensus for it because all the [projections and predictability][2] about bitcoin(currency) would be affected by this change. Maybe everyone can agree with this change if most of the miners start being 'compliant' like one of the coinjoin implementation.
>
> [1]: https://github.com/bitcoin/bitcoin/blob/master/src/chainparams.cpp#L66
> [2]: https://en.bitcoin.it/wiki/Controlled_supply
>
>
> /dev/fd0
>
> Sent with Proton Mail secure email.
>
>
> ------- Original Message -------
> On Saturday, July 9th, 2022 at 9:59 PM, ZmnSCPxj via bitcoin-dev [email-masked] wrote:
>
>
>
> > Good morning e, and list,
> >
> > > Yet you posted several links which made that specific correlation, to which I was responding.
> > >
> > > Math cannot prove how much coin is “lost”, and even if it was provable that the amount of coin lost converges to the amount produced, it is of no consequence - for the reasons I’ve already pointed out. The amount of market production has no impact on market price, just as it does not with any other good.
> > >
> > > The reason to object to perpetual issuance is the impact on censorship resistance, not on price.
> >
> > To clarify about censorship resistance and perpetual issuance ("tail emission"):
> >
> > * Suppose I have two blockchains, one with a constant block subsidy, and one which had a block subsidy but the block subsidy has become negligible or zero.
> > * Now consider a censoring miner.
> > * If the miner rejects particular transactions (i.e. "censors") the miner loses out on the fees of those transactions.
> > * Presumably, the miner does this because it gains other benefits from the censorship, economically equal or better to the earnings lost.
> > * If the blockchain had a block subsidy, then the loss the miner incurs is small relative to the total earnings of each block.
> > * If the blockchain had 0 block subsidy, then the loss the miner incurs is large relative to the total earnings of each block.
> > * Thus, in the latter situation, the external benefit the miner gains from the censorship has to be proportionately larger than in the first situation.
> >
> > Basically, the block subsidy is a market distortion: the block subsidy erodes the value of held coins to pay for the security of coins being moved.
> > But the block subsidy is still issued whether or not coins being moved are censored or not censored.
> > Thus, there is no incentive, considering only the block subsidy, to not censor coin movements.
> > Only per-transaction fees have an incentive to not censor coin movements.
> >
> > Thus, we should instead prepare for a future where the block subsidy must be removed, possibly before the existing schedule removes it, in case a majority coalition of miner ever decides to censor particular transactions without community consensus.
> > Fortunately forcing the block subsidy to 0 is a softfork and thus easier to deploy.
> >
> > Regards,
> > ZmnSCPxj
> > _______________________________________________
> > bitcoin-dev mailing list
> > [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev